Bug 219274 - Mk/Scripts/check-stagedir.sh: Add support to handle nested 'info/dir's
Summary: Mk/Scripts/check-stagedir.sh: Add support to handle nested 'info/dir's
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Ports Framework (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Gerald Pfeifer
URL:
Keywords: easy, needs-qa, patch
Depends on:
Blocks:
 
Reported: 2017-05-14 13:04 UTC by Gerald Pfeifer
Modified: 2017-11-26 21:07 UTC (History)
4 users (show)

See Also:
gerald: maintainer-feedback+


Attachments
Proposed patch (471 bytes, patch)
2017-05-14 13:04 UTC, Gerald Pfeifer
koobs: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Gerald Pfeifer freebsd_committer 2017-05-14 13:04:38 UTC
Created attachment 182589 [details]
Proposed patch

After

  r370199 | bapt | 2014-10-06 18:13:15 +0000 (Mon, 06 Oct 2014) | 5 lines

  Comment out info/dir files
  indexinfo is taking care of generating it at package installation time

many ports such as the lang/gcc* family had entries such as

  @comment info/gcc%%SUFFIX%%/dir

When I now removed this for lang/gcc5-devel (r439213), 
Scripts/check-stagedir.sh started to warn

  Error: Orphaned: info/gcc5/dir

Looking into the script there already is whitelisting in place for
these info's dir files in general, alas not for ports that need to
use a subdirectory to avoid conflicts between different versions:

  # Handle whitelisting
        while read path; do
                case "${path}" in
                *.bak) ;;
                *.orig) ;;
                :
                */info/dir|info/dir) ;;

This patch takes care of that.  Okay?
Comment 1 Gerald Pfeifer freebsd_committer 2017-05-20 16:56:04 UTC
Okay to commit, portmgr?

To make it easier to approve, here is the patch directly as well:

Index: Mk/Scripts/check-stagedir.sh
===================================================================
--- Mk/Scripts/check-stagedir.sh	(revision 440871)
+++ Mk/Scripts/check-stagedir.sh	(working copy)
@@ -152,7 +152,7 @@
 		*/.svn/*|'@dir '*/.svn) ;;
 		*/.svnignore) ;;
 		*/CVS/*|'@dir '*/CVS) ;;
-		*/info/dir|info/dir) ;;
+		*/info/dir|info/dir|info/*/dir) ;;
 		share/fonts/*/fonts.dir) ;;
 		share/fonts/*/fonts.scale) ;;
 		share/applications/mimeinfo.cache) ;;
Comment 2 Gerald Pfeifer freebsd_committer 2017-06-01 14:28:03 UTC
portmgr, did you have a chance to look into this?  

It's a really simply one-line patch which I'd be happy to apply with
your approval. :-)
Comment 3 Gerald Pfeifer freebsd_committer 2017-07-15 20:52:54 UTC
Ping.  Okay to apply this trivial patch I submitted two months ago?

(Bapt, by the way, these comments "@comment info/gcc%%SUFFIX%%/dir"
do indicate that check-stagedir.sh is not working properly, is it?)
Comment 4 Kubilay Kocak freebsd_committer freebsd_triage 2017-07-16 09:50:26 UTC
Comment on attachment 182589 [details]
Proposed patch

Maintainer timeout (2+ months)
Comment 5 Kubilay Kocak freebsd_committer freebsd_triage 2017-07-16 09:51:12 UTC
Minor change, easily revertible with minimal potential impact.

Reporter is committer, assign accordingly
Comment 6 Mathieu Arnold freebsd_committer 2017-07-17 16:42:01 UTC
There cannot, ever, be a maintainer timeout for portmgr@.
See https://www.freebsd.org/doc/en/books/porters-handbook/makefile-maintainer.html.
Comment 7 Gerald Pfeifer freebsd_committer 2017-07-17 18:51:01 UTC
That's why I did not invoke maintainer timeout here.  That said, can
portmgr@ please approve this?

More than two months for a trivial, one line patch, is a little frustrating.
Comment 8 Mathieu Arnold freebsd_committer 2017-07-18 12:29:34 UTC
Well, it does need someone to understand the change, it seems innocent enough, but you never know what can lurk in the background.

I'll say approved, because I really don't know what could go wrong here.

In the future, ask for an exp-run, depending on the load, it can be done in a day or two. Once this is done, we are usually more open to accepting changes :-)
Comment 9 commit-hook freebsd_committer 2017-07-19 22:30:55 UTC
A commit references this bug:

Author: gerald
Date: Wed Jul 19 22:29:54 UTC 2017
New revision: 446238
URL: https://svnweb.freebsd.org/changeset/ports/446238

Log:
  Ignore info/*/dir (as used by the lang/gcc* ports, for example) in addition
  to */info/dir and info/dir.

  PR:		219274
  Approved by:	portmgr (mat)

Changes:
  head/Mk/Scripts/check-stagedir.sh
Comment 10 Gerald Pfeifer freebsd_committer 2017-07-19 22:33:43 UTC
(In reply to Mathieu Arnold from comment #8)
> Well, it does need someone to understand the change

bapt put in place workarounds for explicitly this issue, so I had hoped
he might bite. ;-)  Thanks for your help Mathieu!

> In the future, ask for an exp-run, depending on the load, it can be done in a 
> day or two. Once this is done, we are usually more open to accepting changes :-)

That is good guidance, thank you.
Comment 11 Gerald Pfeifer freebsd_committer 2017-07-19 22:36:34 UTC
(Got approval from mat.)
Comment 12 commit-hook freebsd_committer 2017-07-19 22:42:05 UTC
A commit references this bug:

Author: gerald
Date: Wed Jul 19 22:41:58 UTC 2017
New revision: 446239
URL: https://svnweb.freebsd.org/changeset/ports/446239

Log:
  Remove workarounds for PR 219274 that bapt@ had put in place in 2014
  from the end-of-life lang/gcc4* ports.

  PR:		219274

Changes:
  head/lang/gcc46/pkg-plist
  head/lang/gcc47/pkg-plist
  head/lang/gcc48/pkg-plist
  head/lang/gcc49/pkg-plist
Comment 13 commit-hook freebsd_committer 2017-07-21 10:53:52 UTC
A commit references this bug:

Author: gerald
Date: Fri Jul 21 10:53:43 UTC 2017
New revision: 446305
URL: https://svnweb.freebsd.org/changeset/ports/446305

Log:
  Update to the 20170621 snapshot of GCC 6.4.1, moving from GCC 6.3.1
  now that GCC 6.4 has been released.

  Remove workaround for PR 219274 that bapt@ had put in place in 2014
  from pkg-plist.

  PR:		219274

Changes:
  head/lang/gcc6-devel/Makefile
  head/lang/gcc6-devel/distinfo
  head/lang/gcc6-devel/pkg-plist
Comment 14 commit-hook freebsd_committer 2017-07-21 11:56:47 UTC
A commit references this bug:

Author: gerald
Date: Fri Jul 21 11:55:51 UTC 2017
New revision: 446309
URL: https://svnweb.freebsd.org/changeset/ports/446309

Log:
  Update to the 20170720 snapshot of GCC 7.1.1.

  Remove workaround for PR 219274 that bapt@ had put in place in 2014
  from pkg-plist. [1]

  PR:		219274 [1]

Changes:
  head/lang/gcc7-devel/Makefile
  head/lang/gcc7-devel/distinfo
  head/lang/gcc7-devel/pkg-plist
Comment 15 commit-hook freebsd_committer 2017-07-24 11:54:49 UTC
A commit references this bug:

Author: gerald
Date: Mon Jul 24 11:53:47 UTC 2017
New revision: 446521
URL: https://svnweb.freebsd.org/changeset/ports/446521

Log:
  Update to the 20170723 snapshot of GCC 8.

  Remove workaround for PR 219274 that bapt@ had put in place in 2014
  from pkg-plist. [1]

  PR:		219274 [1]

Changes:
  head/lang/gcc8-devel/Makefile
  head/lang/gcc8-devel/distinfo
  head/lang/gcc8-devel/pkg-plist
Comment 16 commit-hook freebsd_committer 2017-08-06 06:25:08 UTC
A commit references this bug:

Author: gerald
Date: Sun Aug  6 06:24:31 UTC 2017
New revision: 447444
URL: https://svnweb.freebsd.org/changeset/ports/447444

Log:
  Remove workaround for PR 219274 that bapt@ had put in place in 2014
  from pkg-plist for lang/gcc5 and lang/gcc6 (which won't be updated
  too soon otherwise).

  PR:		219274

Changes:
  head/lang/gcc5/pkg-plist
  head/lang/gcc6/pkg-plist
Comment 17 vali gholami 2017-11-26 20:48:18 UTC
MARKED AS SPAM